<?php 
require_once(__DIR__ . "/library/init.php");
try{
    add_hook("ClientAreaPage", 1, function(){
	    if(empty($_SESSION["uid"])){
	        switch(basename($_SERVER["SCRIPT_NAME"])){
	            case "register.php":
	                exit(MailVerify\Tools::getJumpURL(MailVerify\Tools::getSystemURL() . "index.php?m=MailVerify&action=register"));
	            case "cart.php":
	                $_SESSION["MailVerify"] = MailVerify\Tools::getSystemURL() . "cart.php";
	                exit(MailVerify\Tools::getJumpURL(MailVerify\Tools::getSystemURL() . "clientarea.php"));
	            default:
	                break;
	        }
	    }
	});

    add_hook("ClientLogin", 1, function(){
	    if(!empty($_SESSION["MailVerify"])){
	        $jump = $_SESSION["MailVerify"];
	        unset($_SESSION["MailVerify"]);
	        exit(MailVerify\Tools::getJumpURL($jump));
	    }
	});

    add_hook("DailyCronJob", 1, function(){
    	WHMCS\Database\Capsule::select(WHMCS\Database\Capsule::raw("TRUNCATE `mod_mailverify`;"));
	});
}catch(Exception $e){
}
?>