<?php 
header("Content-Type: text/html; charset=utf-8");
defined("WHMCS") or exit( "Access denied" );
try{
    spl_autoload_register(function($className){
	    $namespace = explode("\\", $className);
	    if( $namespace[0] == "MailVerify" ) {
	        $fileName = __DIR__ . "/class/" . $namespace[1];
	        if( !file_exists((string) $fileName . ".php") ) {
	            throw new Exception("File [ " . $fileName . ".php ] does not exist");
	        }
	        require_once($fileName . ".php");
	    }
	});
    if( PHP_OS != "Linux" ) {
        throw new Exception("Geeba's software only supports Linux operating system");
    }
    require_once(dirname(dirname(dirname(dirname(__DIR__)))) . "/init.php");
}catch( Exception $e ){
    exit( "Mail verify module failed to start, Error message: " . $e->getMessage() );
}
?>